The plugin supports IE9+ on Windows and Safari 7+ on MacOS. You can view the detailed browser/os compatibility matrix here